/*
 * Copyright 2003 - 2010 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 3669 $
 * Last Changed:    $Date: 2010-01-27 13:35:28 -0500 (Wed, 27 Jan 2010) $
 * Last Changed By: $Author: jan.moxter $
 */

package org.efaps.db.print.value;

import org.efaps.db.print.OneSelect;

/**
 * TODO comment!
 *
 * @author The eFaps Team
 * @version $Id: UUIDValueSelect.java 3669 2010-01-27 18:35:28Z jan.moxter $
 */
public class UUIDValueSelect
    extends AbstractValueSelect
{

    /**
     * @param _oneSelect OneSelect
     */
    public UUIDValueSelect(final OneSelect _oneSelect)
    {
        super(_oneSelect);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String getValueType()
    {
        return "UUID";
    }
}
